Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#59352 - [python-pylint] Mismatched version constraints on dependency python-astroid

Attached to Project: Arch Linux
Opened by Richard Neumann (rne) - Monday, 16 July 2018, 11:39 GMT
Last edited by Felix Yan (felixonmars) - Tuesday, 17 July 2018, 14:57 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Felix Yan (felixonmars)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
The package python-pylint depends on python-astroid with version constraints <2.0,>=1.6.
These are missing from the package resulting in a broken / unsuable python-pylint installation after the upgrade to python-astroid 2.0-1.

Additional info:
* pytlin-1.9.2-1


Steps to reproduce:
* Upgrade your system.
* Install pylint.
* Run pylint
* Get:
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 779, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (astroid 2.0 (/usr/lib/python3.6/site-packages), Requirement.parse('astroid<2.0,>=1.6'), {'pylint'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pylint", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 572, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 585, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'astroid<2.0,>=1.6' distribution was not found and is required by pylint


This task depends upon

Closed by  Felix Yan (felixonmars)
Tuesday, 17 July 2018, 14:57 GMT
Reason for closing:  Fixed
Additional comments about closing:  python-pylint 2.0-1
Comment by Eli Schwartz (eschwartz) - Monday, 16 July 2018, 15:16 GMT
Solution is to update to pylint 2.0 which supports the new astroid version.
Comment by André Laszlo (andrelaszlo) - Monday, 16 July 2018, 15:37 GMT
I got pylint working again by manually downgrading python-astroid to 1.6.5-1 (using https://aur.archlinux.org/packages/downgrade/).
Comment by Luca Weiss (z3ntu) - Tuesday, 17 July 2018, 12:26 GMT
Upgrading to python-pylint 2.0-1 fixes the problem.
Comment by André Laszlo (andrelaszlo) - Tuesday, 17 July 2018, 12:37 GMT
Works for me as well with latest versions of python-pylint (2.0-1) and python-astroid (2.0-3). Thanks!
Comment by Richard Neumann (rne) - Tuesday, 17 July 2018, 12:47 GMT
@z3ntu, andrelaszlo:
I confirm.
Thanks to the maintainer for the update.

Loading...